Bug 1132450 - Add Japanese new era, Reiwa to mozc
Add Japanese new era, Reiwa to mozc
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: X11 Applications
Leap 15.1
Other Other
: P3 - Medium : Normal (vote)
: ---
Assigned To: Fuminobu Takeyama
E-mail List
:
Depends on:
Blocks: 1112183
  Show dependency treegraph
 
Reported: 2019-04-14 04:54 UTC by Fuminobu Takeyama
Modified: 2019-07-03 22:37 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fuminobu Takeyama 2019-04-14 04:54:20 UTC
The name of the new Japanese era from May 1st, 2019 was announced on April 1st.

Mozc need to be updated in the following point:

* Add the new name, Reiwa and U+32FF to its dictionary
* Update its conversion feature from system time to Japanese date format

The upstream is not active for now, so we add some patches for those fix.


Note that, Mozc does not hold the dates that an era starts from. By adding the patches, latter feature are broken until May 1st; The dates from Jan. 1st until April 30, 209 are converted not into Heisei but wrongly, Reiwa.
Comment 1 Swamp Workflow Management 2019-04-24 16:20:06 UTC
This is an autogenerated message for OBS integration:
This bug (1132450) was mentioned in
https://build.opensuse.org/request/show/697592 15.1 / mozc
Comment 3 Ludwig Nussel 2019-05-09 07:09:47 UTC
are we done with this?
Comment 4 Fuminobu Takeyama 2019-05-13 16:30:49 UTC
Yes. Update to 15.1 is expected for 15.0 users.
Comment 5 Swamp Workflow Management 2019-05-31 13:29:19 UTC
SUSE-RU-2019:1395-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1132450
CVE References: 
Sources used:
SUSE Linux Enterprise Module for Desktop Applications 15 (src):    mozc-2.18.2612.102-4.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2019-06-05 19:14:55 UTC
openSUSE-RU-2019:1515-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1132450
CVE References: 
Sources used:
openSUSE Leap 15.0 (src):    mozc-2.18.2612.102-lp150.3.3.1
Comment 7 Swamp Workflow Management 2019-07-03 22:16:12 UTC
SUSE-RU-2019:1395-2: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1132450
CVE References: 
Sources used:
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    mozc-2.18.2612.102-4.3.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP1 (src):    mozc-2.18.2612.102-4.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.